body {
  font-family: "Arial", sans-serif;
  margin: 0;
  padding: 0;
  background-color: #1e1e1e;
  color: #f5f5dc;
}
body::before {
  content: "";
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url("./assets/bg4.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  z-index: -1; /* Place the overlay behind the content */
  opacity: 0.2; /* Adjust the opacity as needed */
}

a {
  text-decoration: none;
}

#website-title {
  text-align: center;
  font-size: 3.4rem;
}

h1 {
  padding: 20px;
  font-size: 3rem;
  margin: 0;
}

.section {
  padding: 10px;
  margin-bottom: 20px;
}

h2 {
  color: #fff;
  font-size: 2rem;
  padding: 10px;
  margin: 0;
}

#projects {
  display: flex;
  flex-wrap: wrap;
  justify-content: start;
}

.project-card {
  position: relative;
  margin: 10px;
  margin-top: 20px;
  overflow: hidden;
  transition: transform 0.3s;
}

.project-card:hover {
  transform: scale(1.03);
}

.project-card img {
  width: 100%;
  height: auto;
  object-fit: contain;
  object-position: center;
  border-radius: 8px;
}

.project-card h3 {
  margin-top: 10px;
  margin-bottom: 10px;
  font-size: 1.7em;
  color: #fff;
}

.project-card p {
  margin-top: 10px;
  margin-bottom: 10px;
  font-size: 1.2em;
  color: #f5f5f5;
}

.project-card .tags {
  display: flex;
  flex-wrap: wrap;
}

.project-card .tag {
  padding: 4px 6px 4px 6px;
  margin: 0 7px 6px 0;
  font-size: 1.1em;
  background: #333333;
  color: #f5f5f5;
  border-radius: 10px;
}

footer {
  background-color: #1e1e1e;
  padding-bottom: 20px;
}

footer .links,
footer .contacts {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  justify-content: center;
  margin: 0;
  padding: 0;
}

footer p,
.contacts a {
  color: #cacaca;
  font-size: 1.4em;
  transition: color 0.2s ease-in-out;
}

/* .contacts a {
  margin: 15px 0 15px 0;
} */

footer p:hover,
.contacts a:hover {
  color: #fff;
}

@media screen and (max-width: 767px) {
  .project-card {
    width: calc(100% - 20px);
  }
}

@media screen and (min-width: 768px) and (max-width: 1023px) {
  .project-card {
    width: calc(33.33% - 20px);
  }
}

@media screen and (min-width: 1024px) {
  .project-card {
    width: calc(25% - 20px);
  }
}
